%package tcl
Summary: Tcl 7.6 patched to provide namespaces
Name: itcl
Version: 2.2p2
Release: 1
Icon: itcl-tcl-2.2.gif
ExclusiveArch: i386
ExclusiveOS: Linux
URL: http://www.tcltk.com/itcl
Packager: brettle@his.com (Dean Brettle)
Source: ftp://ftp.tcltk.com/pub/itcl/itcl2.2p2.tar.gz
Copyright: BSD
Group: Development/Languages/Tcl

%description tcl
Tcl 7.6 which has been patched to provide namespaces.
Includes interpreter, man pages, shared library, and header file.


%package tk
Summary: Tk 4.2 patched to support the namespaces provided by itcl-tcl.
Icon: itcl-tk-2.2.gif
Group: Development/Languages/Tcl

%description tk
Tk 4.2 which has been patched to support the namespaces provided by itcl-tcl.
Includes interpreter, man pages, shared library, and header file.


%package itcl
Summary: An extension to itcl-tcl for doing OOP.
Icon: itcl-itcl-2.2.gif
Group: Development/Languages/Tcl

%description itcl
An extension to itcl-tcl for doing OOP.
Includes interpreter, man pages, shared library, and header file.


%package itk
Summary: An extension to itcl-tk for creating mega-widgets.
Icon: itcl-itk-2.2.gif
Group: Development/Languages/Tcl

%description itk
An extension to itcl-tk for creating mega-widgets.
Includes interpreter, man pages, shared library, and header file.


%package iwidgets
Summary: A mega-widget set built using itk.
Icon: itcl-iwidgets-2.2.gif
Group: Development/Languages/Tcl
Requires: itcl-itk

%description iwidgets
A mega-widget set built using itk.
Includes megawidgets, and man pages.


%package html
Summary: HTMLized man pages for itcl-{tcl, tk, itcl, itk, iwidgets}
Icon: itcl-html-2.2.gif
Group: Development/Languages/Tcl

%description html
HTMLized man pages for itcl-tcl, itcl-tk, itcl-itcl, itcl-itk, and
itcl-iwidgets.  Very nice.  Point your browser at:
	file:/usr/doc/itcl-html-2.2p2-1/index.html


%prep
%setup -n itcl2.2p2

%build
./configure --prefix=/usr --enable-shared
make all

%install
make install

cd /usr/lib
ln -sf itcl/*.so .

%post tcl
cd /usr/lib
/bin/ln -sf itcl/libtcl7.6i.so .
/sbin/ldconfig
cd /usr/bin
/bin/ln -sf ish7.6 ish

%post tk
cd /usr/lib
/bin/ln -sf itcl/libtk4.2i.so .
/sbin/ldconfig
cd /usr/bin
/bin/ln -sf iwish4.2 iwish

%post itcl
cd /usr/lib
/bin/ln -sf itcl/libitcl2.2.so .
/sbin/ldconfig
cd /usr/bin
/bin/ln -sf itclsh2.2 itclsh

%post itk
cd /usr/lib
/bin/ln -sf itcl/libitk2.2.so .
/sbin/ldconfig
cd /usr/bin
/bin/ln -sf itkwish2.2 itkwish


%postun tcl
/bin/rm /usr/lib/libtcl7.6i.so
/sbin/ldconfig
/bin/rm /usr/bin/ish

%postun tk
/bin/rm /usr/lib/libtk4.2i.so
/sbin/ldconfig
/bin/rm /usr/bin/iwish

%postun itcl
/bin/rm /usr/lib/libitcl2.2.so
/sbin/ldconfig
/bin/rm /usr/bin/itclsh

%postun itk
/bin/rm /usr/lib/libitk2.2.so
/sbin/ldconfig
/bin/rm /usr/bin/itkwish

%files tcl
/usr/bin/ish7.6
/usr/lib/itcl/libtcl7.6i.so
%dir /usr/lib/itcl
%dir /usr/include/itcl
%dir /usr/man/itcl/man1
%dir /usr/man/itcl/man3
%dir /usr/man/itcl/mann
%dir /usr/man/itcl
/usr/lib/itcl/tcl7.6
/usr/lib/itcl/tclConfig.sh
/usr/include/itcl/tcl.h
/usr/man/itcl/man1/tclsh.1
/usr/man/itcl/man3/AddErrInfo.3
/usr/man/itcl/man3/Alloc.3
/usr/man/itcl/man3/AllowExc.3
/usr/man/itcl/man3/AppInit.3
/usr/man/itcl/man3/AssocData.3
/usr/man/itcl/man3/Async.3
/usr/man/itcl/man3/BackgdErr.3
/usr/man/itcl/man3/Backslash.3
/usr/man/itcl/man3/CallDel.3
/usr/man/itcl/man3/CmdCmplt.3
/usr/man/itcl/man3/Concat.3
/usr/man/itcl/man3/CrtChannel.3
/usr/man/itcl/man3/CrtChnlHdlr.3
/usr/man/itcl/man3/CrtCloseHdlr.3
/usr/man/itcl/man3/CrtCommand.3
/usr/man/itcl/man3/CrtFileHdlr.3
/usr/man/itcl/man3/CrtInterp.3
/usr/man/itcl/man3/CrtMathFnc.3
/usr/man/itcl/man3/CrtModalTmt.3
/usr/man/itcl/man3/CrtSlave.3
/usr/man/itcl/man3/CrtTimerHdlr.3
/usr/man/itcl/man3/CrtTrace.3
/usr/man/itcl/man3/DString.3
/usr/man/itcl/man3/DetachPids.3
/usr/man/itcl/man3/DoOneEvent.3
/usr/man/itcl/man3/DoWhenIdle.3
/usr/man/itcl/man3/Eval.3
/usr/man/itcl/man3/Exit.3
/usr/man/itcl/man3/ExprLong.3
/usr/man/itcl/man3/FindExec.3
/usr/man/itcl/man3/GetFile.3
/usr/man/itcl/man3/GetInt.3
/usr/man/itcl/man3/GetOpnFl.3
/usr/man/itcl/man3/GetStdChan.3
/usr/man/itcl/man3/Hash.3
/usr/man/itcl/man3/Interp.3
/usr/man/itcl/man3/LinkVar.3
/usr/man/itcl/man3/Notifier.3
/usr/man/itcl/man3/OpenFileChnl.3
/usr/man/itcl/man3/OpenTcp.3
/usr/man/itcl/man3/PkgRequire.3
/usr/man/itcl/man3/Preserve.3
/usr/man/itcl/man3/PrintDbl.3
/usr/man/itcl/man3/RecordEval.3
/usr/man/itcl/man3/RegExp.3
/usr/man/itcl/man3/SetErrno.3
/usr/man/itcl/man3/SetRecLmt.3
/usr/man/itcl/man3/SetResult.3
/usr/man/itcl/man3/SetVar.3
/usr/man/itcl/man3/Sleep.3
/usr/man/itcl/man3/SplitList.3
/usr/man/itcl/man3/SplitPath.3
/usr/man/itcl/man3/StaticPkg.3
/usr/man/itcl/man3/StrMatch.3
/usr/man/itcl/man3/Tcl_AddErrorInfo.3
/usr/man/itcl/man3/Tcl_Alloc.3
/usr/man/itcl/man3/Tcl_AllowExceptions.3
/usr/man/itcl/man3/Tcl_AppInit.3
/usr/man/itcl/man3/Tcl_AppendElement.3
/usr/man/itcl/man3/Tcl_AppendResult.3
/usr/man/itcl/man3/Tcl_AsyncCreate.3
/usr/man/itcl/man3/Tcl_AsyncDelete.3
/usr/man/itcl/man3/Tcl_AsyncInvoke.3
/usr/man/itcl/man3/Tcl_AsyncMark.3
/usr/man/itcl/man3/Tcl_BackgroundError.3
/usr/man/itcl/man3/Tcl_Backslash.3
/usr/man/itcl/man3/Tcl_CallWhenDeleted.3
/usr/man/itcl/man3/Tcl_CancelIdleCall.3
/usr/man/itcl/man3/Tcl_Close.3
/usr/man/itcl/man3/Tcl_CommandComplete.3
/usr/man/itcl/man3/Tcl_Concat.3
/usr/man/itcl/man3/Tcl_ConvertElement.3
/usr/man/itcl/man3/Tcl_CreateAlias.3
/usr/man/itcl/man3/Tcl_CreateChannel.3
/usr/man/itcl/man3/Tcl_CreateChannelHandler.3
/usr/man/itcl/man3/Tcl_CreateCloseHandler.3
/usr/man/itcl/man3/Tcl_CreateCommand.3
/usr/man/itcl/man3/Tcl_CreateEventSource.3
/usr/man/itcl/man3/Tcl_CreateExitHandler.3
/usr/man/itcl/man3/Tcl_CreateFileHandler.3
/usr/man/itcl/man3/Tcl_CreateHashEntry.3
/usr/man/itcl/man3/Tcl_CreateInterp.3
/usr/man/itcl/man3/Tcl_CreateMathFunc.3
/usr/man/itcl/man3/Tcl_CreateModalTimeout.3
/usr/man/itcl/man3/Tcl_CreateSlave.3
/usr/man/itcl/man3/Tcl_CreateTimerHandler.3
/usr/man/itcl/man3/Tcl_CreateTrace.3
/usr/man/itcl/man3/Tcl_DStringAppend.3
/usr/man/itcl/man3/Tcl_DStringAppendElement.3
/usr/man/itcl/man3/Tcl_DStringEndSublist.3
/usr/man/itcl/man3/Tcl_DStringFree.3
/usr/man/itcl/man3/Tcl_DStringGetResult.3
/usr/man/itcl/man3/Tcl_DStringInit.3
/usr/man/itcl/man3/Tcl_DStringLength.3
/usr/man/itcl/man3/Tcl_DStringResult.3
/usr/man/itcl/man3/Tcl_DStringSetLength.3
/usr/man/itcl/man3/Tcl_DStringStartSublist.3
/usr/man/itcl/man3/Tcl_DStringValue.3
/usr/man/itcl/man3/Tcl_DeleteAssocData.3
/usr/man/itcl/man3/Tcl_DeleteChannelHandler.3
/usr/man/itcl/man3/Tcl_DeleteCloseHandler.3
/usr/man/itcl/man3/Tcl_DeleteCommand.3
/usr/man/itcl/man3/Tcl_DeleteEventSource.3
/usr/man/itcl/man3/Tcl_DeleteExitHandler.3
/usr/man/itcl/man3/Tcl_DeleteFileHandler.3
/usr/man/itcl/man3/Tcl_DeleteHashEntry.3
/usr/man/itcl/man3/Tcl_DeleteHashTable.3
/usr/man/itcl/man3/Tcl_DeleteInterp.3
/usr/man/itcl/man3/Tcl_DeleteModalTimeout.3
/usr/man/itcl/man3/Tcl_DeleteTimerHandler.3
/usr/man/itcl/man3/Tcl_DeleteTrace.3
/usr/man/itcl/man3/Tcl_DetachPids.3
/usr/man/itcl/man3/Tcl_DoOneEvent.3
/usr/man/itcl/man3/Tcl_DoWhenIdle.3
/usr/man/itcl/man3/Tcl_DontCallWhenDeleted.3
/usr/man/itcl/man3/Tcl_Eof.3
/usr/man/itcl/man3/Tcl_Eval.3
/usr/man/itcl/man3/Tcl_EvalFile.3
/usr/man/itcl/man3/Tcl_EventuallyFree.3
/usr/man/itcl/man3/Tcl_Exit.3
/usr/man/itcl/man3/Tcl_ExprBoolean.3
/usr/man/itcl/man3/Tcl_ExprDouble.3
/usr/man/itcl/man3/Tcl_ExprLong.3
/usr/man/itcl/man3/Tcl_ExprString.3
/usr/man/itcl/man3/Tcl_FileReady.3
/usr/man/itcl/man3/Tcl_FindExecutable.3
/usr/man/itcl/man3/Tcl_FindHashEntry.3
/usr/man/itcl/man3/Tcl_FirstHashEntry.3
/usr/man/itcl/man3/Tcl_Flush.3
/usr/man/itcl/man3/Tcl_Free.3
/usr/man/itcl/man3/Tcl_FreeFile.3
/usr/man/itcl/man3/Tcl_GetAlias.3
/usr/man/itcl/man3/Tcl_GetAliases.3
/usr/man/itcl/man3/Tcl_GetAssocData.3
/usr/man/itcl/man3/Tcl_GetBoolean.3
/usr/man/itcl/man3/Tcl_GetChannelBufferSize.3
/usr/man/itcl/man3/Tcl_GetChannelFile.3
/usr/man/itcl/man3/Tcl_GetChannelInstanceData.3
/usr/man/itcl/man3/Tcl_GetChannelMode.3
/usr/man/itcl/man3/Tcl_GetChannelName.3
/usr/man/itcl/man3/Tcl_GetChannelOption.3
/usr/man/itcl/man3/Tcl_GetChannelType.3
/usr/man/itcl/man3/Tcl_GetCommandInfo.3
/usr/man/itcl/man3/Tcl_GetDouble.3
/usr/man/itcl/man3/Tcl_GetErrno.3
/usr/man/itcl/man3/Tcl_GetFile.3
/usr/man/itcl/man3/Tcl_GetFileInfo.3
/usr/man/itcl/man3/Tcl_GetHashKey.3
/usr/man/itcl/man3/Tcl_GetHashValue.3
/usr/man/itcl/man3/Tcl_GetInt.3
/usr/man/itcl/man3/Tcl_GetMaster.3
/usr/man/itcl/man3/Tcl_GetOpenFile.3
/usr/man/itcl/man3/Tcl_GetPathType.3
/usr/man/itcl/man3/Tcl_GetSlave.3
/usr/man/itcl/man3/Tcl_GetSlaves.3
/usr/man/itcl/man3/Tcl_GetStdChannel.3
/usr/man/itcl/man3/Tcl_GetVar.3
/usr/man/itcl/man3/Tcl_GetVar2.3
/usr/man/itcl/man3/Tcl_Gets.3
/usr/man/itcl/man3/Tcl_GlobalEval.3
/usr/man/itcl/man3/Tcl_HashStats.3
/usr/man/itcl/man3/Tcl_InitHashTable.3
/usr/man/itcl/man3/Tcl_InputBlocked.3
/usr/man/itcl/man3/Tcl_Interp.3
/usr/man/itcl/man3/Tcl_InterpDeleted.3
/usr/man/itcl/man3/Tcl_IsSafe.3
/usr/man/itcl/man3/Tcl_JoinPath.3
/usr/man/itcl/man3/Tcl_LinkVar.3
/usr/man/itcl/man3/Tcl_Main.3
/usr/man/itcl/man3/Tcl_MakeSafe.3
/usr/man/itcl/man3/Tcl_Merge.3
/usr/man/itcl/man3/Tcl_NextHashEntry.3
/usr/man/itcl/man3/Tcl_OpenCommandChannel.3
/usr/man/itcl/man3/Tcl_OpenFileChannel.3
/usr/man/itcl/man3/Tcl_OpenTcpClient.3
/usr/man/itcl/man3/Tcl_OpenTcpServer.3
/usr/man/itcl/man3/Tcl_PkgProvide.3
/usr/man/itcl/man3/Tcl_PkgRequire.3
/usr/man/itcl/man3/Tcl_PosixError.3
/usr/man/itcl/man3/Tcl_Preserve.3
/usr/man/itcl/man3/Tcl_PrintDouble.3
/usr/man/itcl/man3/Tcl_QueueEvent.3
/usr/man/itcl/man3/Tcl_Read.3
/usr/man/itcl/man3/Tcl_Realloc.3
/usr/man/itcl/man3/Tcl_ReapDetachedProcs.3
/usr/man/itcl/man3/Tcl_RecordAndEval.3
/usr/man/itcl/man3/Tcl_RegExpCompile.3
/usr/man/itcl/man3/Tcl_RegExpExec.3
/usr/man/itcl/man3/Tcl_RegExpMatch.3
/usr/man/itcl/man3/Tcl_RegExpRange.3
/usr/man/itcl/man3/Tcl_Release.3
/usr/man/itcl/man3/Tcl_ResetResult.3
/usr/man/itcl/man3/Tcl_ScanElement.3
/usr/man/itcl/man3/Tcl_Seek.3
/usr/man/itcl/man3/Tcl_SetAssocData.3
/usr/man/itcl/man3/Tcl_SetChannelBufferSize.3
/usr/man/itcl/man3/Tcl_SetChannelOption.3
/usr/man/itcl/man3/Tcl_SetCommandInfo.3
/usr/man/itcl/man3/Tcl_SetDefaultTranslation.3
/usr/man/itcl/man3/Tcl_SetErrno.3
/usr/man/itcl/man3/Tcl_SetErrorCode.3
/usr/man/itcl/man3/Tcl_SetHashValue.3
/usr/man/itcl/man3/Tcl_SetMaxBlockTime.3
/usr/man/itcl/man3/Tcl_SetRecursionLimit.3
/usr/man/itcl/man3/Tcl_SetResult.3
/usr/man/itcl/man3/Tcl_SetStdChannel.3
/usr/man/itcl/man3/Tcl_SetVar.3
/usr/man/itcl/man3/Tcl_SetVar2.3
/usr/man/itcl/man3/Tcl_Sleep.3
/usr/man/itcl/man3/Tcl_SplitList.3
/usr/man/itcl/man3/Tcl_SplitPath.3
/usr/man/itcl/man3/Tcl_StaticPackage.3
/usr/man/itcl/man3/Tcl_StringMatch.3
/usr/man/itcl/man3/Tcl_Tell.3
/usr/man/itcl/man3/Tcl_TraceVar.3
/usr/man/itcl/man3/Tcl_TraceVar2.3
/usr/man/itcl/man3/Tcl_TranslateFileName.3
/usr/man/itcl/man3/Tcl_UnlinkVar.3
/usr/man/itcl/man3/Tcl_UnsetVar.3
/usr/man/itcl/man3/Tcl_UnsetVar2.3
/usr/man/itcl/man3/Tcl_UntraceVar.3
/usr/man/itcl/man3/Tcl_UntraceVar2.3
/usr/man/itcl/man3/Tcl_UpVar.3
/usr/man/itcl/man3/Tcl_UpVar2.3
/usr/man/itcl/man3/Tcl_UpdateLinkedVar.3
/usr/man/itcl/man3/Tcl_VarEval.3
/usr/man/itcl/man3/Tcl_VarTraceInfo.3
/usr/man/itcl/man3/Tcl_VarTraceInfo2.3
/usr/man/itcl/man3/Tcl_WaitForEvent.3
/usr/man/itcl/man3/Tcl_WatchFile.3
/usr/man/itcl/man3/Tcl_Write.3
/usr/man/itcl/man3/TraceVar.3
/usr/man/itcl/man3/Translate.3
/usr/man/itcl/man3/UpVar.3
/usr/man/itcl/mann/@scope.n
/usr/man/itcl/mann/Tcl.n
/usr/man/itcl/mann/after.n
/usr/man/itcl/mann/append.n
/usr/man/itcl/mann/array.n
/usr/man/itcl/mann/bgerror.n
/usr/man/itcl/mann/break.n
/usr/man/itcl/mann/case.n
/usr/man/itcl/mann/catch.n
/usr/man/itcl/mann/cd.n
/usr/man/itcl/mann/clock.n
/usr/man/itcl/mann/close.n
/usr/man/itcl/mann/code.n
/usr/man/itcl/mann/concat.n
/usr/man/itcl/mann/continue.n
/usr/man/itcl/mann/delete.n
/usr/man/itcl/mann/ensemble.n
/usr/man/itcl/mann/eof.n
/usr/man/itcl/mann/error.n
/usr/man/itcl/mann/eval.n
/usr/man/itcl/mann/exec.n
/usr/man/itcl/mann/exit.n
/usr/man/itcl/mann/expr.n
/usr/man/itcl/mann/fblocked.n
/usr/man/itcl/mann/fconfigure.n
/usr/man/itcl/mann/file.n
/usr/man/itcl/mann/fileevent.n
/usr/man/itcl/mann/filename.n
/usr/man/itcl/mann/flush.n
/usr/man/itcl/mann/for.n
/usr/man/itcl/mann/foreach.n
/usr/man/itcl/mann/format.n
/usr/man/itcl/mann/gets.n
/usr/man/itcl/mann/glob.n
/usr/man/itcl/mann/global.n
/usr/man/itcl/mann/history.n
/usr/man/itcl/mann/if.n
/usr/man/itcl/mann/import.n
/usr/man/itcl/mann/incr.n
/usr/man/itcl/mann/info.n
/usr/man/itcl/mann/interp.n
/usr/man/itcl/mann/join.n
/usr/man/itcl/mann/lappend.n
/usr/man/itcl/mann/library.n
/usr/man/itcl/mann/lindex.n
/usr/man/itcl/mann/linsert.n
/usr/man/itcl/mann/list.n
/usr/man/itcl/mann/llength.n
/usr/man/itcl/mann/load.n
/usr/man/itcl/mann/lrange.n
/usr/man/itcl/mann/lreplace.n
/usr/man/itcl/mann/lsearch.n
/usr/man/itcl/mann/lsort.n
/usr/man/itcl/mann/namespace.n
/usr/man/itcl/mann/open.n
/usr/man/itcl/mann/package.n
/usr/man/itcl/mann/pid.n
/usr/man/itcl/mann/pkgMkIndex.n
/usr/man/itcl/mann/pkg_mkIndex.n
/usr/man/itcl/mann/private.n
/usr/man/itcl/mann/proc.n
/usr/man/itcl/mann/protected.n
/usr/man/itcl/mann/public.n
/usr/man/itcl/mann/puts.n
/usr/man/itcl/mann/pwd.n
/usr/man/itcl/mann/read.n
/usr/man/itcl/mann/regexp.n
/usr/man/itcl/mann/regsub.n
/usr/man/itcl/mann/rename.n
/usr/man/itcl/mann/return.n
/usr/man/itcl/mann/scan.n
/usr/man/itcl/mann/scope.n
/usr/man/itcl/mann/seek.n
/usr/man/itcl/mann/set.n
/usr/man/itcl/mann/socket.n
/usr/man/itcl/mann/source.n
/usr/man/itcl/mann/split.n
/usr/man/itcl/mann/string.n
/usr/man/itcl/mann/subst.n
/usr/man/itcl/mann/switch.n
/usr/man/itcl/mann/tclvars.n
/usr/man/itcl/mann/tell.n
/usr/man/itcl/mann/time.n
/usr/man/itcl/mann/trace.n
/usr/man/itcl/mann/unknown.n
/usr/man/itcl/mann/unset.n
/usr/man/itcl/mann/update.n
/usr/man/itcl/mann/uplevel.n
/usr/man/itcl/mann/upvar.n
/usr/man/itcl/mann/variable.n
/usr/man/itcl/mann/vwait.n
/usr/man/itcl/mann/while.n


%files tk
/usr/bin/iwish4.2
/usr/lib/itcl/libtk4.2i.so
/usr/lib/itcl/tk4.2
/usr/lib/itcl/tkConfig.sh
/usr/include/itcl/tk.h
/usr/man/itcl/man1/wish.1
/usr/man/itcl/man3/3DBorder.3
/usr/man/itcl/man3/BindTable.3
/usr/man/itcl/man3/CanvPsY.3
/usr/man/itcl/man3/CanvTkwin.3
/usr/man/itcl/man3/CanvTxtInfo.3
/usr/man/itcl/man3/Clipboard.3
/usr/man/itcl/man3/ClrSelect.3
/usr/man/itcl/man3/ConfigWidg.3
/usr/man/itcl/man3/ConfigWind.3
/usr/man/itcl/man3/CoordToWin.3
/usr/man/itcl/man3/CrtErrHdlr.3
/usr/man/itcl/man3/CrtGenHdlr.3
/usr/man/itcl/man3/CrtImgType.3
/usr/man/itcl/man3/CrtItemType.3
/usr/man/itcl/man3/CrtPhImgFmt.3
/usr/man/itcl/man3/CrtSelHdlr.3
/usr/man/itcl/man3/DeleteImg.3
/usr/man/itcl/man3/DrawFocHlt.3
/usr/man/itcl/man3/EventHndlr.3
/usr/man/itcl/man3/FindPhoto.3
/usr/man/itcl/man3/FreeXId.3
/usr/man/itcl/man3/GeomReq.3
/usr/man/itcl/man3/GetAnchor.3
/usr/man/itcl/man3/GetBitmap.3
/usr/man/itcl/man3/GetCapStyl.3
/usr/man/itcl/man3/GetClrmap.3
/usr/man/itcl/man3/GetColor.3
/usr/man/itcl/man3/GetCursor.3
/usr/man/itcl/man3/GetFontStr.3
/usr/man/itcl/man3/GetGC.3
/usr/man/itcl/man3/GetImage.3
/usr/man/itcl/man3/GetJoinStl.3
/usr/man/itcl/man3/GetJustify.3
/usr/man/itcl/man3/GetOption.3
/usr/man/itcl/man3/GetPixels.3
/usr/man/itcl/man3/GetPixmap.3
/usr/man/itcl/man3/GetRelief.3
/usr/man/itcl/man3/GetRootCrd.3
/usr/man/itcl/man3/GetScroll.3
/usr/man/itcl/man3/GetSelect.3
/usr/man/itcl/man3/GetUid.3
/usr/man/itcl/man3/GetVRoot.3
/usr/man/itcl/man3/GetVisual.3
/usr/man/itcl/man3/HandleEvent.3
/usr/man/itcl/man3/IdToWindow.3
/usr/man/itcl/man3/ImgChanged.3
/usr/man/itcl/man3/InternAtom.3
/usr/man/itcl/man3/MainLoop.3
/usr/man/itcl/man3/MainWin.3
/usr/man/itcl/man3/MaintGeom.3
/usr/man/itcl/man3/ManageGeom.3
/usr/man/itcl/man3/MapWindow.3
/usr/man/itcl/man3/MoveToplev.3
/usr/man/itcl/man3/Name.3
/usr/man/itcl/man3/NameOfImg.3
/usr/man/itcl/man3/OwnSelect.3
/usr/man/itcl/man3/ParseArgv.3
/usr/man/itcl/man3/QWinEvent.3
/usr/man/itcl/man3/Restack.3
/usr/man/itcl/man3/RestrictEv.3
/usr/man/itcl/man3/SetAppName.3
/usr/man/itcl/man3/SetClass.3
/usr/man/itcl/man3/SetGrid.3
/usr/man/itcl/man3/SetVisual.3
/usr/man/itcl/man3/StrictMotif.3
/usr/man/itcl/man3/Tk_3DBorderColor.3
/usr/man/itcl/man3/Tk_3DBorderGC.3
/usr/man/itcl/man3/Tk_3DHorizontalBevel.3
/usr/man/itcl/man3/Tk_3DVerticalBevel.3
/usr/man/itcl/man3/Tk_Attributes.3
/usr/man/itcl/man3/Tk_BindEvent.3
/usr/man/itcl/man3/Tk_CanvasDrawableCoords.3
/usr/man/itcl/man3/Tk_CanvasEventuallyRedraw.3
/usr/man/itcl/man3/Tk_CanvasGetCoord.3
/usr/man/itcl/man3/Tk_CanvasPsBitmap.3
/usr/man/itcl/man3/Tk_CanvasPsColor.3
/usr/man/itcl/man3/Tk_CanvasPsFont.3
/usr/man/itcl/man3/Tk_CanvasPsPath.3
/usr/man/itcl/man3/Tk_CanvasPsStipple.3
/usr/man/itcl/man3/Tk_CanvasPsY.3
/usr/man/itcl/man3/Tk_CanvasSetStippleOrigin.3
/usr/man/itcl/man3/Tk_CanvasTagsOption.3
/usr/man/itcl/man3/Tk_CanvasTextInfo.3
/usr/man/itcl/man3/Tk_CanvasTkwin.3
/usr/man/itcl/man3/Tk_CanvasWindowCoords.3
/usr/man/itcl/man3/Tk_ChangeWindowAttributes.3
/usr/man/itcl/man3/Tk_Changes.3
/usr/man/itcl/man3/Tk_Class.3
/usr/man/itcl/man3/Tk_ClearSelection.3
/usr/man/itcl/man3/Tk_ClipboardAppend.3
/usr/man/itcl/man3/Tk_ClipboardClear.3
/usr/man/itcl/man3/Tk_Colormap.3
/usr/man/itcl/man3/Tk_ConfigureInfo.3
/usr/man/itcl/man3/Tk_ConfigureValue.3
/usr/man/itcl/man3/Tk_ConfigureWidget.3
/usr/man/itcl/man3/Tk_ConfigureWindow.3
/usr/man/itcl/man3/Tk_CoordsToWindow.3
/usr/man/itcl/man3/Tk_CreateBinding.3
/usr/man/itcl/man3/Tk_CreateBindingTable.3
/usr/man/itcl/man3/Tk_CreateErrorHandler.3
/usr/man/itcl/man3/Tk_CreateEventHandler.3
/usr/man/itcl/man3/Tk_CreateGenericHandler.3
/usr/man/itcl/man3/Tk_CreateImageType.3
/usr/man/itcl/man3/Tk_CreateItemType.3
/usr/man/itcl/man3/Tk_CreatePhotoImageFormat.3
/usr/man/itcl/man3/Tk_CreateSelHandler.3
/usr/man/itcl/man3/Tk_DefineBitmap.3
/usr/man/itcl/man3/Tk_DefineCursor.3
/usr/man/itcl/man3/Tk_DeleteAllBindings.3
/usr/man/itcl/man3/Tk_DeleteBinding.3
/usr/man/itcl/man3/Tk_DeleteBindingTable.3
/usr/man/itcl/man3/Tk_DeleteErrorHandler.3
/usr/man/itcl/man3/Tk_DeleteEventHandler.3
/usr/man/itcl/man3/Tk_DeleteGenericHandler.3
/usr/man/itcl/man3/Tk_DeleteImage.3
/usr/man/itcl/man3/Tk_DeleteSelHandler.3
/usr/man/itcl/man3/Tk_Depth.3
/usr/man/itcl/man3/Tk_Display.3
/usr/man/itcl/man3/Tk_DisplayName.3
/usr/man/itcl/man3/Tk_Draw3DPolygon.3
/usr/man/itcl/man3/Tk_Draw3DRectangle.3
/usr/man/itcl/man3/Tk_DrawFocusHighlight.3
/usr/man/itcl/man3/Tk_Fill3DPolygon.3
/usr/man/itcl/man3/Tk_Fill3DRectangle.3
/usr/man/itcl/man3/Tk_FindPhoto.3
/usr/man/itcl/man3/Tk_Free3DBorder.3
/usr/man/itcl/man3/Tk_FreeBitmap.3
/usr/man/itcl/man3/Tk_FreeColor.3
/usr/man/itcl/man3/Tk_FreeColormap.3
/usr/man/itcl/man3/Tk_FreeCursor.3
/usr/man/itcl/man3/Tk_FreeFontStruct.3
/usr/man/itcl/man3/Tk_FreeGC.3
/usr/man/itcl/man3/Tk_FreeImage.3
/usr/man/itcl/man3/Tk_FreeOptions.3
/usr/man/itcl/man3/Tk_FreePixmap.3
/usr/man/itcl/man3/Tk_FreeXId.3
/usr/man/itcl/man3/Tk_GeometryRequest.3
/usr/man/itcl/man3/Tk_Get3DBorder.3
/usr/man/itcl/man3/Tk_GetAllBindings.3
/usr/man/itcl/man3/Tk_GetAnchor.3
/usr/man/itcl/man3/Tk_GetAtomName.3
/usr/man/itcl/man3/Tk_GetBinding.3
/usr/man/itcl/man3/Tk_GetBitmap.3
/usr/man/itcl/man3/Tk_GetBitmapFromData.3
/usr/man/itcl/man3/Tk_GetCapStyle.3
/usr/man/itcl/man3/Tk_GetColor.3
/usr/man/itcl/man3/Tk_GetColorByValue.3
/usr/man/itcl/man3/Tk_GetColormap.3
/usr/man/itcl/man3/Tk_GetCursor.3
/usr/man/itcl/man3/Tk_GetCursorFromData.3
/usr/man/itcl/man3/Tk_GetFontStruct.3
/usr/man/itcl/man3/Tk_GetGC.3
/usr/man/itcl/man3/Tk_GetImage.3
/usr/man/itcl/man3/Tk_GetItemTypes.3
/usr/man/itcl/man3/Tk_GetJoinStyle.3
/usr/man/itcl/man3/Tk_GetJustify.3
/usr/man/itcl/man3/Tk_GetOption.3
/usr/man/itcl/man3/Tk_GetPixels.3
/usr/man/itcl/man3/Tk_GetPixmap.3
/usr/man/itcl/man3/Tk_GetRelief.3
/usr/man/itcl/man3/Tk_GetRootCoords.3
/usr/man/itcl/man3/Tk_GetScreenMM.3
/usr/man/itcl/man3/Tk_GetScrollInfo.3
/usr/man/itcl/man3/Tk_GetSelection.3
/usr/man/itcl/man3/Tk_GetUid.3
/usr/man/itcl/man3/Tk_GetVRootGeometry.3
/usr/man/itcl/man3/Tk_GetVisual.3
/usr/man/itcl/man3/Tk_HandleEvent.3
/usr/man/itcl/man3/Tk_Height.3
/usr/man/itcl/man3/Tk_IdToWindow.3
/usr/man/itcl/man3/Tk_ImageChanged.3
/usr/man/itcl/man3/Tk_Init.3
/usr/man/itcl/man3/Tk_InternAtom.3
/usr/man/itcl/man3/Tk_InternalBorderWidth.3
/usr/man/itcl/man3/Tk_IsMapped.3
/usr/man/itcl/man3/Tk_IsTopLevel.3
/usr/man/itcl/man3/Tk_Main.3
/usr/man/itcl/man3/Tk_MainLoop.3
/usr/man/itcl/man3/Tk_MainWindow.3
/usr/man/itcl/man3/Tk_MaintainGeometry.3
/usr/man/itcl/man3/Tk_ManageGeometry.3
/usr/man/itcl/man3/Tk_MapWindow.3
/usr/man/itcl/man3/Tk_MoveResizeWindow.3
/usr/man/itcl/man3/Tk_MoveToplevelWindow.3
/usr/man/itcl/man3/Tk_MoveWindow.3
/usr/man/itcl/man3/Tk_Name.3
/usr/man/itcl/man3/Tk_NameOf3DBorder.3
/usr/man/itcl/man3/Tk_NameOfAnchor.3
/usr/man/itcl/man3/Tk_NameOfBitmap.3
/usr/man/itcl/man3/Tk_NameOfCapStyle.3
/usr/man/itcl/man3/Tk_NameOfColor.3
/usr/man/itcl/man3/Tk_NameOfCursor.3
/usr/man/itcl/man3/Tk_NameOfFontStruct.3
/usr/man/itcl/man3/Tk_NameOfImage.3
/usr/man/itcl/man3/Tk_NameOfJoinStyle.3
/usr/man/itcl/man3/Tk_NameOfJustify.3
/usr/man/itcl/man3/Tk_NameOfRelief.3
/usr/man/itcl/man3/Tk_NameToWindow.3
/usr/man/itcl/man3/Tk_Offset.3
/usr/man/itcl/man3/Tk_OwnSelection.3
/usr/man/itcl/man3/Tk_Parent.3
/usr/man/itcl/man3/Tk_ParseArgv.3
/usr/man/itcl/man3/Tk_PathName.3
/usr/man/itcl/man3/Tk_PhotoBlank.3
/usr/man/itcl/man3/Tk_PhotoExpand.3
/usr/man/itcl/man3/Tk_PhotoGetImage.3
/usr/man/itcl/man3/Tk_PhotoGetSize.3
/usr/man/itcl/man3/Tk_PhotoPutBlock.3
/usr/man/itcl/man3/Tk_PhotoPutZoomedBlock.3
/usr/man/itcl/man3/Tk_PhotoSetSize.3
/usr/man/itcl/man3/Tk_QueueWindowEvent.3
/usr/man/itcl/man3/Tk_RedrawImage.3
/usr/man/itcl/man3/Tk_ReqHeight.3
/usr/man/itcl/man3/Tk_ReqWidth.3
/usr/man/itcl/man3/Tk_ResizeWindow.3
/usr/man/itcl/man3/Tk_RestackWindow.3
/usr/man/itcl/man3/Tk_RestrictEvents.3
/usr/man/itcl/man3/Tk_Screen.3
/usr/man/itcl/man3/Tk_ScreenNumber.3
/usr/man/itcl/man3/Tk_SetAppName.3
/usr/man/itcl/man3/Tk_SetBackgroundFromBorder.3
/usr/man/itcl/man3/Tk_SetClass.3
/usr/man/itcl/man3/Tk_SetGrid.3
/usr/man/itcl/man3/Tk_SetInternalBorder.3
/usr/man/itcl/man3/Tk_SetWindowBackground.3
/usr/man/itcl/man3/Tk_SetWindowBackgroundPixmap.3
/usr/man/itcl/man3/Tk_SetWindowBorder.3
/usr/man/itcl/man3/Tk_SetWindowBorderPixmap.3
/usr/man/itcl/man3/Tk_SetWindowBorderWidth.3
/usr/man/itcl/man3/Tk_SetWindowColormap.3
/usr/man/itcl/man3/Tk_SetWindowVisual.3
/usr/man/itcl/man3/Tk_SizeOfBitmap.3
/usr/man/itcl/man3/Tk_SizeOfImage.3
/usr/man/itcl/man3/Tk_StrictMotif.3
/usr/man/itcl/man3/Tk_Uid.3
/usr/man/itcl/man3/Tk_UndefineCursor.3
/usr/man/itcl/man3/Tk_UnmaintainGeometry.3
/usr/man/itcl/man3/Tk_UnmapWindow.3
/usr/man/itcl/man3/Tk_UnsetGrid.3
/usr/man/itcl/man3/Tk_Visual.3
/usr/man/itcl/man3/Tk_Width.3
/usr/man/itcl/man3/Tk_WindowId.3
/usr/man/itcl/man3/Tk_X.3
/usr/man/itcl/man3/Tk_Y.3
/usr/man/itcl/man3/WindowId.3
/usr/man/itcl/mann/bell.n
/usr/man/itcl/mann/bind.n
/usr/man/itcl/mann/bindtags.n
/usr/man/itcl/mann/bitmap.n
/usr/man/itcl/mann/button.n
/usr/man/itcl/mann/canvas.n
/usr/man/itcl/mann/checkbutton.n
/usr/man/itcl/mann/chooseColor.n
/usr/man/itcl/mann/clipboard.n
/usr/man/itcl/mann/destroy.n
/usr/man/itcl/mann/dialog.n
/usr/man/itcl/mann/entry.n
/usr/man/itcl/mann/event.n
/usr/man/itcl/mann/focus.n
/usr/man/itcl/mann/focusNext.n
/usr/man/itcl/mann/frame.n
/usr/man/itcl/mann/getOpenFile.n
/usr/man/itcl/mann/grab.n
/usr/man/itcl/mann/grid.n
/usr/man/itcl/mann/image.n
/usr/man/itcl/mann/label.n
/usr/man/itcl/mann/listbox.n
/usr/man/itcl/mann/lower.n
/usr/man/itcl/mann/menu.n
/usr/man/itcl/mann/menubar.n
/usr/man/itcl/mann/menubutton.n
/usr/man/itcl/mann/message.n
/usr/man/itcl/mann/messageBox.n
/usr/man/itcl/mann/option.n
/usr/man/itcl/mann/optionMenu.n
/usr/man/itcl/mann/options.n
/usr/man/itcl/mann/pack-old.n
/usr/man/itcl/mann/pack.n
/usr/man/itcl/mann/palette.n
/usr/man/itcl/mann/photo.n
/usr/man/itcl/mann/place.n
/usr/man/itcl/mann/popup.n
/usr/man/itcl/mann/radiobutton.n
/usr/man/itcl/mann/raise.n
/usr/man/itcl/mann/scale.n
/usr/man/itcl/mann/scrollbar.n
/usr/man/itcl/mann/selection.n
/usr/man/itcl/mann/send.n
/usr/man/itcl/mann/text.n
/usr/man/itcl/mann/tk.n
/usr/man/itcl/mann/tk_bindForTraversal.n
/usr/man/itcl/mann/tk_bisque.n
/usr/man/itcl/mann/tk_chooseColor.n
/usr/man/itcl/mann/tk_dialog.n
/usr/man/itcl/mann/tk_focusFollowsMouse.n
/usr/man/itcl/mann/tk_focusNext.n
/usr/man/itcl/mann/tk_focusPrev.n
/usr/man/itcl/mann/tk_getOpenFile.n
/usr/man/itcl/mann/tk_getSaveFile.n
/usr/man/itcl/mann/tk_menuBar.n
/usr/man/itcl/mann/tk_messageBox.n
/usr/man/itcl/mann/tk_optionMenu.n
/usr/man/itcl/mann/tk_popup.n
/usr/man/itcl/mann/tk_setPalette.n
/usr/man/itcl/mann/tkerror.n
/usr/man/itcl/mann/tkvars.n
/usr/man/itcl/mann/tkwait.n
/usr/man/itcl/mann/toplevel.n
/usr/man/itcl/mann/winfo.n
/usr/man/itcl/mann/wm.n

%files itcl
/usr/bin/itclsh2.2
/usr/lib/itcl/libitcl2.2.so
/usr/lib/itcl/itcl2.2
/usr/lib/itcl/itclConfig.sh
/usr/include/itcl/itcl.h
/usr/man/itcl/man1/itclsh.1
/usr/man/itcl/mann/body.n
/usr/man/itcl/mann/class.n
/usr/man/itcl/mann/configbody.n
/usr/man/itcl/mann/delete.n
/usr/man/itcl/mann/info.n
/usr/man/itcl/mann/itcl.n
/usr/man/itcl/mann/itcl_class.n
/usr/man/itcl/mann/itcl_info.n
/usr/man/itcl/mann/itclvars.n
/usr/man/itcl/mann/local.n

%files itk
/usr/bin/itkwish2.2
/usr/lib/itcl/libitk2.2.so
/usr/lib/itcl/itk2.2
/usr/include/itcl/itk.h
/usr/man/itcl/man1/itkwish.1
/usr/man/itcl/mann/Archetype.n
/usr/man/itcl/mann/Toplevel.n
/usr/man/itcl/mann/Widget.n
/usr/man/itcl/mann/itk.n
/usr/man/itcl/mann/itkvars.n
/usr/man/itcl/mann/usual.n

%files iwidgets
/usr/lib/itcl/iwidgets2.2.0
/usr/man/itcl/mann/buttonbox.n
/usr/man/itcl/mann/canvasprintbox.n
/usr/man/itcl/mann/canvasprintdialog.n
/usr/man/itcl/mann/combobox.n
/usr/man/itcl/mann/dialog.n
/usr/man/itcl/mann/dialogshell.n
/usr/man/itcl/mann/entryfield.n
/usr/man/itcl/mann/feedback.n
/usr/man/itcl/mann/fileselectionbox.n
/usr/man/itcl/mann/fileselectiondialog.n
/usr/man/itcl/mann/hyperhelp.n
/usr/man/itcl/mann/labeledwidget.n
/usr/man/itcl/mann/menubar.n
/usr/man/itcl/mann/messagedialog.n
/usr/man/itcl/mann/notebook.n
/usr/man/itcl/mann/optionmenu.n
/usr/man/itcl/mann/panedwindow.n
/usr/man/itcl/mann/promptdialog.n
/usr/man/itcl/mann/pushbutton.n
/usr/man/itcl/mann/radiobox.n
/usr/man/itcl/mann/scrolledcanvas.n
/usr/man/itcl/mann/scrolledframe.n
/usr/man/itcl/mann/scrolledhtml.n
/usr/man/itcl/mann/scrolledlistbox.n
/usr/man/itcl/mann/scrolledtext.n
/usr/man/itcl/mann/selectionbox.n
/usr/man/itcl/mann/selectiondialog.n
/usr/man/itcl/mann/shell.n
/usr/man/itcl/mann/spindate.n
/usr/man/itcl/mann/spinint.n
/usr/man/itcl/mann/spinner.n
/usr/man/itcl/mann/spintime.n
/usr/man/itcl/mann/tabnotebook.n
/usr/man/itcl/mann/tabset.n
/usr/man/itcl/mann/toolbar.n

%files html
%doc html/*
